Bug 425853 - Review Request: starplot-yale5 - Stellar data set for use by the StarPlot tool
Review Request: starplot-yale5 - Stellar data set for use by the StarPlot tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 14:13 EST by Debarshi Ray
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-26 21:56:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-12-16 14:13:21 EST
Spec URL: http://rishi.fedorapeople.org/starplot-yale5.spec
SRPM URL: http://rishi.fedorapeople.org/starplot-yale5-0.95-1.fc8.src.rpm


Description:

Stellar data set for use by the StarPlot tool from the [Yale] Bright Star
Catalog, 5th Rev. Ed. (preliminary), Hoffleit and Warren, 1991. The data set
was obtained from the archives of the Astronomical Data Center (ADC) at NASA
Goddard Space Flight Center.
Comment 1 Debarshi Ray 2007-12-16 14:13:57 EST
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=295919
Comment 2 Parag AN(पराग) 2007-12-16 23:45:42 EST
rpmlint is silent.
source matches upstream.
6a5c7f633db97c2ca20e492bab3107d3  yale5-0.95.tar.gz
mock build is successful.

APPROVED.
Comment 3 Debarshi Ray 2007-12-17 02:18:23 EST
New Package CVS Request
=======================
Package Name: starplot-yale5
Short Description: Stellar data set for use by the StarPlot tool
Owners: rishi
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: no
Comment 4 Mamoru TASAKA 2007-12-17 02:55:03 EST
Sorry, but this srpm must be fixed before importing.

- MUST: If a package includes something as %doc, it must not 
        affect the runtime of the application. To summarize: 
        If it is in %doc, the program must run properly 
        if it is not present.

This means that running applications, installing rpms and etc
must succeed even with --excludedocs.
However,
-----------------------------------------------------------------
[root@localhost noarch]# rpm -ivv --excludedocs
starplot-yale5-0.95-1.fc8_p.noarch.rpm 
<snip>

D: ==========
D: fini      040755  3 (   0,   0)         0 /usr/share/doc/starplot-yale5-0.95 
D: fini      100644  1 (   0,   0)      1618
/usr/share/doc/starplot-yale5-0.95/COPYING;47662961 skipnstate
D: fini      100644  1 (   0,   0)       564
/usr/share/doc/starplot-yale5-0.95/Changelog;47662961 skipnstate
D: fini      100644  1 (   0,   0)      2016
/usr/share/doc/starplot-yale5-0.95/README;47662961 skipnstate
D: fini      040755  2 (   0,   0)         0
/usr/share/doc/starplot-yale5-0.95/orig-data skipnstate
D: fini      100644  1 (   0,   0)     11496
/usr/share/doc/starplot-yale5-0.95/orig-data/ReadMe;47662961 skipnstate
D: fini      100644  1 (   0,   0)   1704879
/usr/share/doc/starplot-yale5-0.95/orig-data/catalog.dat;47662961 skipnstate
D: fini      100644  1 (   0,   0)    502461
/usr/share/doc/starplot-yale5-0.95/orig-data/notes.dat;47662961 skipnstate
D: fini      100644  1 (   0,   0)      2447
/usr/share/doc/starplot-yale5-0.95/yale5.spec;47662961 skipnstate
GZDIO:     272 reads,  2227044 total bytes in 0.044608 secs
<snip>
D: adding 10 entries to Filemd5s index.
D:   install: %post(starplot-yale5-0.95-1.fc8_p.noarch) asynchronous scriptlet start
D:   install: %post(starplot-yale5-0.95-1.fc8_p.noarch) execv(/bin/sh) pid 5905
+ starpkg --dataset /usr/share/doc/starplot-yale5-0.95 --dest /usr/share/starplot
*** Does not contain starconvert spec file.
D:   install: waitpid(5905) rc 5905 status 100 secs 0.015
error: %post(starplot-yale5-0.95-1.fc8_p.noarch) scriptlet failed, exit status 1
D: running post-transaction scripts
<snip>
----------------------------------------------------------------

  Rather, isn't it possible to create yale5.stars in advance like
  below?
----------------------------------------------------------------
%install
......
starpkg --dataset orig-data --dest $RPM_BUILD_ROOT%{_datadir}/starplot
----------------------------------------------------------------
Comment 5 Mamoru TASAKA 2007-12-17 02:57:33 EST
Maybe below?

starpkg --dataset $(pwd) --dest $RPM_BUILD_ROOT%{_datadir}/starplot
Comment 6 Parag AN(पराग) 2007-12-17 03:21:35 EST
mtasaka,
  If its issue then sorry I thought this is simple review and didn't thought
about %doc runtime problems.
Comment 7 Parag AN(पराग) 2007-12-17 03:41:21 EST
Okay so scriptlets is having problem.
how about following patch to SPEC
--- starplot-yale5.spec 2007-12-17 00:38:31.000000000 +0530
+++ starplot-yale5-modified.spec        2007-12-17 14:00:08.000000000 +0530
@@ -10,8 +10,6 @@
 BuildRoot:     %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 
 Requires:      starplot >= %{version}
-Requires(post):        starplot >= %{version}
-
 BuildArch:     noarch
 
 %description
@@ -29,14 +27,11 @@
 rm -rf $RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT%{_datadir}/starplot
 
-touch $RPM_BUILD_ROOT%{_datadir}/starplot/yale5.stars
+starpkg --dataset $(pwd) --dest $RPM_BUILD_ROOT%{_datadir}/starplot
 
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%post
-starpkg --dataset %{_docdir}/%{name}-%{version} --dest %{_datadir}/starplot
-
 %files
 %defattr(-,root,root,-)
 %doc Changelog
@@ -44,7 +39,7 @@
 %doc README
 %doc yale5.spec
 %doc orig-data
-%ghost %{_datadir}/starplot/yale5.stars
+%{_datadir}/starplot/yale5.stars
 
 %changelog
 * Mon Dec 17 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95-1
Comment 8 Debarshi Ray 2007-12-17 04:07:42 EST
We can not distribute the yale5.stars file as part of the package, since it
would be a violation of the license. This was discussed on
fedora-devel-list@redhat.com
(https://www.redhat.com/archives/fedora-devel-list/2007-November/msg00742.html)
and it was decided that they should be generated during %post and mentioned as
%ghost.
Comment 9 Debarshi Ray 2007-12-17 04:17:18 EST
I will use %{_datadir}/%{name} instead of %{_docdir}/%{name}-%{version} to
generate the *.stars file. Will that be acceptable?
Comment 10 Parag AN(पराग) 2007-12-17 04:29:13 EST
before you submit any change please cross check with following command
rpm -ihv  starplot-yale5-0.95-1.fc8.noarch.rpm --excludedocs
Comment 11 Mamoru TASAKA 2007-12-17 05:11:39 EST
Umm.. after quickly seeing 
- COPYING file
- what is discussed on fedora-devel-list
I am against even generating .stars files _automatically_ by rpm
%post scriptlet.

I propose to
- install spec file, data file under %_datadir/staplot/data/yale, for example
- write a small shell script to generate .stars files from
  the data under %_datadir/starplot/data (if any) named
  "update-starplot-stars", for example, and include
  the script in "starplot" rpm to install the script under %_sbindir
- write a document which tells
  * that we cannot distribute .stars files
  * and who installs each staplot data rpms has to call the script
    _manually_
  and add this document to "starplot" rpm.
Comment 12 Debarshi Ray 2007-12-17 06:05:09 EST
(In reply to comment #11)

This looks a bit clumsy from the end-user's point of view. Using %post should
not be problematic, since upstream uses a similar approach to generate the
.stars files during install time.

For the sake of continuity, could you please put your comment on the
fedora-devel-list@redhat.com thread?
Comment 13 Tom "spot" Callaway 2007-12-17 11:15:48 EST
cvs is done, but please fix the scriplet issues before committing.
Comment 14 Parag AN(पराग) 2007-12-19 10:13:17 EST
Proposing this new fix,
Spec URL: http://paragn.fedorapeople.org/starplot-yale5.spec
SRPM URL: http://paragn.fedorapeople.org/starplot-yale5-0.95-2.fc8.src.rpm

Comment 16 Mamoru TASAKA 2007-12-19 11:06:01 EST
Same with bug 425839, please replace yale5 with %dataset properly
for consistency. Other thing seems good.
Comment 17 Parag AN(पराग) 2007-12-21 23:46:53 EST
Debarshi,
Do you see any problem with updated package links in comment #15?
Comment 18 Debarshi Ray 2007-12-25 11:35:28 EST
Looks fine to me.

Spec: http://rishi.fedorapeople.org/starplot-yale5.spec
SRPM: http://rishi.fedorapeople.org/starplot-yale5-0.95-2.fc8.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=309755

I have merged Parag's changes with my Spec/SRPM pair.
Comment 19 Parag AN(पराग) 2007-12-26 03:22:14 EST
APPROVED above SRPM.

You can now import above SRPM.


Note You need to log in before you can comment on or make changes to this bug.